Checkmark Module
================

This file is part of the mod_checkmark plugin for Moodle - <http://moodle.org/>

*Author:*    Philipp Hager, Katarzyna Potocka

*Copyright:* 2014 [Academic Moodle Cooperation](http://www.academic-moodle-cooperation.org)

*License:*   [GNU GPL v3 or later](http://www.gnu.org/copyleft/gpl.html)


Description
-----------

The Checkmark module allows teachers to obtain information about the assignments completed by the
students prior to a lesson.


Example
-------

A lecture with 500 students is accompanied by a training session. Teachers publish the assignment
names and the number of achievable points per assignment. Each week the students work on the
assignments and use the checkmark module to inform the teacher in advance about the assignments
that they managed to complete.

In the classroom session where individual students present their solutions, teachers can use a
printed copy of the tabular overview to verify the indicated performance. After the training
session there is the option of automatic grading on the basis of the assignments checked.


Requirements
------------

The plugin is available for Moodle 2.5+. This version is for Moodle 3.2.


Installation
------------

* Copy the module code directly to the mod/checkmark directory.

* Log into Moodle as administrator.

* Open the administration area (http://your-moodle-site/admin) to start the installation
  automatically.


Admin Settings
--------------

As an administrator you can set the default values instance-wide on the settings page for
administrators in the checkmark module:

* number of assignments (text field)
* starting number of assignments (text field)
* individual names (text field)
* default grades (text field)
* expiration date for messages (text field)


Documentation
-------------

You can find a cheat sheet for the plugin on the [AMC
website](http://www.academic-moodle-cooperation.org/en/modules/checkmark/) and a video tutorial in
german only in the [AMC YouTube Channel](https://www.youtube.com/c/AMCAcademicMoodleCooperatio).


Bug Reports / Support
---------------------

We try our best to deliver bug-free plugins, but we can not test the plugin for every platform,
database, PHP and Moodle version. If you find any bug please report it on
[GitHub](https://github.com/academic-moodle-cooperation/moodle-mod_checkmark/issues). Please
provide a detailed bug description, including the plugin and Moodle version and, if applicable, a
screenshot.

You may also file a request for enhancement on GitHub. If we consider the request generally useful
and if it can be implemented with reasonable effort we might implement it in a future version.

You may also post general questions on the plugin on GitHub, but note that we do not have the
resources to provide detailed support.


License
-------

This plugin is free software: you can redistribute it and/or modify it under the terms of the GNU
General Public License as published by the Free Software Foundation, either version 3 of the
License, or (at your option) any later version.

The plugin is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without
even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License with Moodle. If not, see
<http://www.gnu.org/licenses/>.


Good luck and have fun!
